Index: /trunk/src/game/WaypointManager.cpp
===================================================================
--- /trunk/src/game/WaypointManager.cpp (revision 207)
+++ /trunk/src/game/WaypointManager.cpp (revision 260)
@@ -11,10 +11,10 @@
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -25,4 +25,5 @@
 #include "ProgressBar.h"
 #include "MapManager.h"
+#include "ObjectMgr.h"
 
 INSTANTIATE_SINGLETON_1(WaypointManager);
@@ -30,13 +31,22 @@
 bool WaypointBehavior::isEmpty()
 {
-    return emote == 0 && spell == 0 && model1 == 0 && model2 == 0 && text[0].empty() &&
-        text[1].empty() && text[2].empty() && text[3].empty() && text[4].empty();
+    if (emote || spell || model1 || model2)
+        return false;
+
+    for(int i = 0; i < MAX_WAYPOINT_TEXT; ++i)
+        if(textid[i])
+            return false;
+
+    return true;
 }
 
 WaypointBehavior::WaypointBehavior(const WaypointBehavior &b)
 {
-    emote = b.emote; spell = b.spell; model1 = b.model1; model2 = b.model2;
-    text[0] = b.text[0]; text[1] = b.text[1]; text[2] = b.text[2];
-    text[3] = b.text[3]; text[4] = b.text[4];
+    emote = b.emote;
+    spell = b.spell;
+    model1 = b.model1;
+    model2 = b.model2;
+    for(int i=0; i < MAX_WAYPOINT_TEXT; ++i)
+        textid[i] = b.textid[i];
 }
 
@@ -67,5 +77,5 @@
     }
 
-    result = WorldDatabase.Query("SELECT position_x, position_y, position_z, orientation, model1, model2, waittime, emote, spell, text1, text2, text3, text4, text5, id, point FROM creature_movement");
+    result = WorldDatabase.Query("SELECT position_x, position_y, position_z, orientation, model1, model2, waittime, emote, spell, textid1, textid2, textid3, textid4, textid5, id, point FROM creature_movement");
     if(result)
     {
@@ -114,9 +124,31 @@
             be.emote            = fields[7].GetUInt32();
             be.spell            = fields[8].GetUInt32();
-            be.text[0]          = fields[9].GetCppString();
-            be.text[1]          = fields[10].GetCppString();
-            be.text[2]          = fields[11].GetCppString();
-            be.text[3]          = fields[12].GetCppString();
-            be.text[4]          = fields[13].GetCppString();
+
+            // load and store without holes in array
+            int j = 0;
+            for(int i = 0; i < MAX_WAYPOINT_TEXT; ++i)
+            {
+                be.textid[j]        = fields[9+i].GetUInt32();
+                if(be.textid[j])
+                {
+                    if (be.textid[j] < MIN_DB_SCRIPT_STRING_ID || be.textid[j] >= MAX_DB_SCRIPT_STRING_ID)
+                    {
+                        sLog.outErrorDb( "Table `db_script_string` not have string id  %u", be.textid[j]);
+                        continue;
+                    }
+
+                    if (!objmgr.GetTrinityStringLocale (be.textid[j]))
+                    {
+                        sLog.outErrorDb("ERROR: Waypoint path %d (point %d), have invalid text id (%i) in `textid%d, ignored.",
+                            id, point, be.textid[j], i+1);
+                        continue;
+                    }
+
+                    ++j;                                    // to next internal field
+                }
+            }
+            // fill array tail
+            for(; j < MAX_WAYPOINT_TEXT; ++j)
+                be.textid[j] = 0;
 
             // save memory by not storing empty behaviors
@@ -266,9 +298,9 @@
         if(!node.behavior) node.behavior = new WaypointBehavior();
 
-        if(field == "text1") node.behavior->text[0] = text ? text : "";
-        if(field == "text2") node.behavior->text[1] = text ? text : "";
-        if(field == "text3") node.behavior->text[2] = text ? text : "";
-        if(field == "text4") node.behavior->text[3] = text ? text : "";
-        if(field == "text5") node.behavior->text[4] = text ? text : "";
+//        if(field == "text1") node.behavior->text[0] = text ? text : "";
+//        if(field == "text2") node.behavior->text[1] = text ? text : "";
+//        if(field == "text3") node.behavior->text[2] = text ? text : "";
+//        if(field == "text4") node.behavior->text[3] = text ? text : "";
+//        if(field == "text5") node.behavior->text[4] = text ? text : "";
         if(field == "emote") node.behavior->emote   = text ? atoi(text) : 0;
         if(field == "spell") node.behavior->spell   = text ? atoi(text) : 0;
Index: /trunk/src/game/GMTicketMgr.h
===================================================================
--- /trunk/src/game/GMTicketMgr.h (revision 229)
+++ /trunk/src/game/GMTicketMgr.h (revision 260)
@@ -51,5 +51,8 @@
             m_text = text ? text : "";
             m_lastUpdate = time(NULL);
-            CharacterDatabase.PExecute("UPDATE character_ticket SET ticket_text = '%s' WHERE guid = '%u'", m_text.c_str(), m_guid);
+
+            std::string escapedString = m_text;
+            CharacterDatabase.escape_string(escapedString);
+            CharacterDatabase.PExecute("UPDATE character_ticket SET ticket_text = '%s' WHERE guid = '%u'", escapedString.c_str(), m_guid);
         }
 
@@ -63,5 +66,9 @@
             CharacterDatabase.BeginTransaction();
             DeleteFromDB();
-            CharacterDatabase.PExecute("INSERT INTO character_ticket (guid, ticket_text) VALUES ('%u', '%s')", m_guid, GetText());
+
+            std::string escapedString = m_text;
+            CharacterDatabase.escape_string(escapedString);
+
+            CharacterDatabase.PExecute("INSERT INTO character_ticket (guid, ticket_text) VALUES ('%u', '%s')", m_guid, escapedString.c_str());
             CharacterDatabase.CommitTransaction();
         }
Index: /trunk/src/game/World.cpp
===================================================================
--- /trunk/src/game/World.cpp (revision 230)
+++ /trunk/src/game/World.cpp (revision 260)
@@ -11,10 +11,10 @@
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -67,4 +67,5 @@
 
 volatile bool World::m_stopEvent = false;
+uint8 World::m_ExitCode = SHUTDOWN_EXIT_CODE;
 volatile uint32 World::m_worldLoopCounter = 0;
 
@@ -543,5 +544,4 @@
         m_configs[CONFIG_SOCKET_SELECTTIME] = sConfig.GetIntDefault("SocketSelectTime", DEFAULT_SOCKET_SELECT_TIME);
 
-
     m_configs[CONFIG_GROUP_XP_DISTANCE] = sConfig.GetIntDefault("MaxGroupXPDistance", 74);
     /// \todo Add MonsterSight and GuarderSight (with meaning) in Trinityd.conf or put them as define
@@ -606,5 +606,4 @@
     }
 
-
     if(reload)
     {
@@ -770,6 +769,6 @@
     m_configs[CONFIG_THREAT_RADIUS] = sConfig.GetIntDefault("ThreatRadius", 100);
 
-    // always use declined names in the Russian client
-    m_configs[CONFIG_DECLINED_NAMES_USED] = 
+    // always use declined names in the russian client
+    m_configs[CONFIG_DECLINED_NAMES_USED] =
         (m_configs[CONFIG_REALM_ZONE] == REALM_ZONE_RUSSIAN) ? true : sConfig.GetBoolDefault("DeclinedNames", false);
 
@@ -966,4 +965,7 @@
     DetectDBCLang();
 
+    sLog.outString( "Loading Script Names...");
+    objmgr.LoadScriptNames();
+
     sLog.outString( "Loading InstanceTemplate" );
     objmgr.LoadInstanceTemplate();
@@ -1081,8 +1083,7 @@
     sLog.outString( "Loading Tavern Area Triggers..." );
     objmgr.LoadTavernAreaTriggers();
-    
+
     sLog.outString( "Loading AreaTrigger script names..." );
     objmgr.LoadAreaTriggerScripts();
-
 
     sLog.outString( "Loading Graveyard-zone links...");
@@ -1165,5 +1166,5 @@
     sLog.outString( "Loading Npc Text Id..." );
     objmgr.LoadNpcTextId();                                 // must be after load Creature and NpcText
-    
+
     sLog.outString( "Loading Npc Options..." );
     objmgr.LoadNpcOptions();
@@ -1193,4 +1194,7 @@
     objmgr.LoadEventScripts();                              // must be after load Creature/Gameobject(Template/Data)
 
+    sLog.outString( "Loading Scripts text locales..." );    // must be after Load*Scripts calls
+    objmgr.LoadDbScriptStrings();
+
     sLog.outString( "Initializing Scripts..." );
     if(!LoadScriptingModule())
@@ -1263,4 +1267,5 @@
     sLog.outString( "WORLD: World initialized" );
 }
+
 void World::DetectDBCLang()
 {
@@ -1463,5 +1468,7 @@
     }
 
-    MapManager::Instance().DoDelayedMovesAndRemoves(); ///- Move all creatures with "delayed move" and remove and delete all objects with "delayed remove"
+    /// </ul>
+    ///- Move all creatures with "delayed move" and remove and delete all objects with "delayed remove"
+    MapManager::Instance().DoDelayedMovesAndRemoves();
 
     // update the instance reset times
@@ -1583,4 +1590,6 @@
         }
 
+        //if(source && !source->IsInWorld()) source = NULL;
+
         Object* target = NULL;
 
@@ -1610,4 +1619,6 @@
         }
 
+        //if(target && !target->IsInWorld()) target = NULL;
+
         switch (step.script->command)
         {
@@ -1637,5 +1648,5 @@
                 {
                     case 0:                                 // Say
-                        ((Creature *)source)->Say(step.script->datatext.c_str(), LANG_UNIVERSAL, unit_target);
+                        ((Creature *)source)->Say(step.script->dataint, LANG_UNIVERSAL, unit_target);
                         break;
                     case 1:                                 // Whisper
@@ -1645,11 +1656,11 @@
                             break;
                         }
-                        ((Creature *)source)->Whisper(step.script->datatext.c_str(),unit_target);
+                        ((Creature *)source)->Whisper(step.script->dataint,unit_target);
                         break;
                     case 2:                                 // Yell
-                        ((Creature *)source)->Yell(step.script->datatext.c_str(), LANG_UNIVERSAL, unit_target);
+                        ((Creature *)source)->Yell(step.script->dataint, LANG_UNIVERSAL, unit_target);
                         break;
                     case 3:                                 // Emote text
-                        ((Creature *)source)->TextEmote(step.script->datatext.c_str(), unit_target);
+                        ((Creature *)source)->TextEmote(step.script->dataint, unit_target);
                         break;
                     default:
@@ -1702,5 +1713,5 @@
                 }
                 ((Unit *)source)->SendMonsterMoveWithSpeed(step.script->x, step.script->y, step.script->z, ((Unit *)source)->GetUnitMovementFlags(), step.script->datalong2 );
-                MapManager::Instance().GetMap(((Unit *)source)->GetMapId(), ((Unit *)source))->CreatureRelocation(((Creature *)source), step.script->x, step.script->y, step.script->z, 0);
+                ((Unit *)source)->GetMap()->CreatureRelocation(((Creature *)source), step.script->x, step.script->y, step.script->z, 0);
                 break;
             case SCRIPT_COMMAND_FLAG_SET:
@@ -1852,5 +1863,5 @@
                 go->SetRespawnTime(time_to_despawn);        //despawn object in ? seconds
 
-                MapManager::Instance().GetMap(go->GetMapId(), go)->Add(go);
+                go->GetMap()->Add(go);
                 break;
             }
@@ -2374,5 +2385,5 @@
 
     ///- if there is a shutdown timer
-    if(m_ShutdownTimer > 0 && elapsed > 0)
+    if(!m_stopEvent && m_ShutdownTimer > 0 && elapsed > 0)
     {
         ///- ... and it is overdue, stop the world (set m_stopEvent)
@@ -2380,5 +2391,5 @@
         {
             if(!(m_ShutdownMask & SHUTDOWN_MASK_IDLE) || GetActiveAndQueuedSessionCount()==0)
-                m_stopEvent = true;
+                m_stopEvent = true;                         // exist code already set
             else
                 m_ShutdownTimer = 1;                        // minimum timer value to wait idle state
@@ -2395,7 +2406,12 @@
 
 /// Shutdown the server
-void World::ShutdownServ(uint32 time, uint32 options)
-{
+void World::ShutdownServ(uint32 time, uint32 options, uint8 exitcode)
+{
+    // ignore if server shutdown at next tick
+    if(m_stopEvent)
+        return;
+
     m_ShutdownMask = options;
+    m_ExitCode = exitcode;
 
     ///- If the shutdown time is 0, set m_stopEvent (except if shutdown is 'idle' with remaining sessions)
@@ -2403,5 +2419,5 @@
     {
         if(!(options & SHUTDOWN_MASK_IDLE) || GetActiveAndQueuedSessionCount()==0)
-            m_stopEvent = true;
+            m_stopEvent = true;                             // exist code already set
         else
             m_ShutdownTimer = 1;                            //So that the session count is re-evaluated at next world tick
@@ -2448,5 +2464,6 @@
 void World::ShutdownCancel()
 {
-    if(!m_ShutdownTimer)
+    // nothing cancel or too later
+    if(!m_ShutdownTimer || m_stopEvent)
         return;
 
@@ -2455,7 +2472,8 @@
     m_ShutdownMask = 0;
     m_ShutdownTimer = 0;
+    m_ExitCode = SHUTDOWN_EXIT_CODE;                       // to default value
     SendServerMessage(msgid);
 
-    DEBUG_LOG("Server %s canceled.",(m_ShutdownMask & SHUTDOWN_MASK_RESTART ? "restart" : "shuttingdown"));
+    DEBUG_LOG("Server %s cancelled.",(m_ShutdownMask & SHUTDOWN_MASK_RESTART ? "restart" : "shuttingdown"));
 }
 
@@ -2502,4 +2520,5 @@
         if(!itr->second->Update(diff))                      // As interval = 0
         {
+            RemoveQueuedPlayer (itr->second);
             delete itr->second;
             m_sessions.erase(itr);
Index: /trunk/src/game/Item.h
===================================================================
--- /trunk/src/game/Item.h (revision 102)
+++ /trunk/src/game/Item.h (revision 260)
@@ -11,10 +11,10 @@
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -229,5 +229,4 @@
         bool GemsFitSockets() const;
 
-        uint32 GetEntry() const { return GetUInt32Value(OBJECT_FIELD_ENTRY); }
         uint32 GetCount() const { return GetUInt32Value (ITEM_FIELD_STACK_COUNT); }
         void SetCount(uint32 value) { SetUInt32Value (ITEM_FIELD_STACK_COUNT, value); }
Index: /trunk/src/game/Creature.cpp
===================================================================
--- /trunk/src/game/Creature.cpp (revision 230)
+++ /trunk/src/game/Creature.cpp (revision 260)
@@ -178,5 +178,5 @@
     float x,y,z,o;
     GetRespawnCoord(x, y, z, &o);
-    MapManager::Instance().GetMap(GetMapId(), this)->CreatureRelocation(this,x,y,z,o);
+    GetMap()->CreatureRelocation(this,x,y,z,o);
 }
 
@@ -210,5 +210,5 @@
     }
 
-    SetUInt32Value(OBJECT_FIELD_ENTRY, Entry);              // normal entry always
+    SetEntry(Entry);                                        // normal entry always
     m_creatureInfo = cinfo;                                 // map mode related always
 
@@ -353,5 +353,5 @@
                 lootForBody         = false;
 
-                if(m_originalEntry != GetUInt32Value(OBJECT_FIELD_ENTRY))
+                if(m_originalEntry != GetEntry())
                     UpdateEntry(m_originalEntry);
 
@@ -372,7 +372,7 @@
 
                 //Call AI respawn virtual function
-                AI()->JustRespawned();
-
-                MapManager::Instance().GetMap(GetMapId(), this)->Add(this);
+                i_AI->JustRespawned();
+
+                GetMap()->Add(this);
             }
             break;
@@ -436,5 +436,5 @@
                 // do not allow the AI to be changed during update
                 m_AI_locked = true;
-                AI()->UpdateAI(diff);
+                i_AI->UpdateAI(diff);
                 m_AI_locked = false;
             }
@@ -2097,7 +2097,12 @@
 }
 
-char const* Creature::GetScriptName() const
-{
-    return ObjectMgr::GetCreatureTemplate(GetEntry())->ScriptName;
+std::string Creature::GetScriptName()
+{
+    return objmgr.GetScriptName(GetScriptId());
+}
+
+uint32 Creature::GetScriptId()
+{
+    return ObjectMgr::GetCreatureTemplate(GetEntry())->ScriptID;
 }
 
Index: /trunk/src/game/Map.cpp
===================================================================
--- /trunk/src/game/Map.cpp (revision 257)
+++ /trunk/src/game/Map.cpp (revision 260)
@@ -1714,5 +1714,5 @@
     if (mInstance)
     {
-        i_script = mInstance->script;
+        i_script_id = mInstance->script_id;
         i_data = Script->CreateInstanceData(this);
     }
@@ -1731,5 +1731,5 @@
             if(data)
             {
-                sLog.outDebug("Loading instance data for `%s` with id %u", i_script.c_str(), i_InstanceId);
+                sLog.outDebug("Loading instance data for `%s` with id %u", objmgr.GetScriptName(i_script_id), i_InstanceId);
                 i_data->Load(data);
             }
@@ -1739,5 +1739,5 @@
     else
     {
-        sLog.outDebug("New instance data, \"%s\" ,initialized!",i_script.c_str());
+        sLog.outDebug("New instance data, \"%s\" ,initialized!", objmgr.GetScriptName(i_script_id));
         i_data->Initialize();
     }
Index: /trunk/src/game/Creature.h
===================================================================
--- /trunk/src/game/Creature.h (revision 230)
+++ /trunk/src/game/Creature.h (revision 260)
@@ -11,10 +11,10 @@
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -206,8 +206,9 @@
     uint32  MechanicImmuneMask;
     uint32  flags_extra;
-    char const* ScriptName;
+    uint32  ScriptID;
     uint32 GetRandomValidModelId() const;
     uint32 GetFirstValidModelId() const;
-    
+
+    // helpers
     SkillType GetRequiredLootSkill() const
     {
@@ -219,5 +220,5 @@
             return SKILL_SKINNING;                          // normal case
     }
-    
+
     bool isTameable() const
     {
@@ -499,5 +500,7 @@
         CreatureInfo const *GetCreatureInfo() const { return m_creatureInfo; }
         CreatureDataAddon const* GetCreatureAddon() const;
-        char const* GetScriptName() const;
+
+        std::string GetScriptName();
+        uint32 GetScriptId();
 
         void prepareGossipMenu( Player *pPlayer, uint32 gossipid = 0 );
@@ -525,5 +528,5 @@
         // overwrite WorldObject function for proper name localization
         const char* GetNameForLocaleIdx(int32 locale_idx) const;
-    
+
         void setDeathState(DeathState s);                   // overwrite virtual Unit::setDeathState
 
Index: /trunk/src/game/PlayerDump.cpp
===================================================================
--- /trunk/src/game/PlayerDump.cpp (revision 112)
+++ /trunk/src/game/PlayerDump.cpp (revision 260)
@@ -11,10 +11,10 @@
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 
@@ -278,5 +278,5 @@
     // for guid set stop if set is empty
     if(guids && guids->empty())
-        return;                                        // nothing to do
+        return;                                             // nothing to do
 
     // setup for guids case start position
@@ -344,5 +344,5 @@
     FILE *fout = fopen(file.c_str(), "w");
     if (!fout)
-		return DUMP_FILE_OPEN_ERROR;
+        return DUMP_FILE_OPEN_ERROR;
 
     std::string dump = GetDump(guid);
@@ -372,7 +372,8 @@
         }
     }
+
     FILE *fin = fopen(file.c_str(), "r");
     if(!fin)
-		return DUMP_FILE_OPEN_ERROR;
+        return DUMP_FILE_OPEN_ERROR;
 
     QueryResult * result = NULL;
@@ -391,5 +392,6 @@
         else incHighest = false;
     }
-    else guid = objmgr.m_hiCharGuid;
+    else
+        guid = objmgr.m_hiCharGuid;
 
     // normalize the name if specified and check if it exists
@@ -469,5 +471,5 @@
             case DTT_CHAR_TABLE:
                 if(!changenth(line, 1, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 break;
 
@@ -475,21 +477,17 @@
             {
                 if(!changenth(line, 1, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
 
                 // guid, data field:guid, items
                 if(!changenth(line, 2, chraccount))
-					ROLLBACK(DUMP_FILE_BROKEN);
-
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 std::string vals = getnth(line, 3);
                 if(!changetoknth(vals, OBJECT_FIELD_GUID+1, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 for(uint16 field = PLAYER_FIELD_INV_SLOT_HEAD; field < PLAYER_FARSIGHT; field++)
                     if(!changetokGuid(vals, field+1, items, objmgr.m_hiItemGuid, true))
-						ROLLBACK(DUMP_FILE_BROKEN);
-
+                        ROLLBACK(DUMP_FILE_BROKEN);
                 if(!changenth(line, 3, vals.c_str()))
-					ROLLBACK(DUMP_FILE_BROKEN);
-
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 if (name == "")
                 {
@@ -504,9 +502,9 @@
                                                             // rename on login: `at_login` field 30 in raw field list
                         if(!changenth(line, 30, "1"))
-							ROLLBACK(DUMP_FILE_BROKEN);
+                            ROLLBACK(DUMP_FILE_BROKEN);
                     }
                 }
                 else if(!changenth(line, 4, name.c_str()))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
 
                 break;
@@ -515,11 +513,11 @@
             {
                 if(!changenth(line, 1, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
 
                 // bag, item
                 if(!changeGuid(line, 2, items, objmgr.m_hiItemGuid, true))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changeGuid(line, 4, items, objmgr.m_hiItemGuid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changeGuid(line, 4, items, objmgr.m_hiItemGuid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 break;
             }
@@ -528,15 +526,14 @@
                 // item, owner, data field:item, owner guid
                 if(!changeGuid(line, 1, items, objmgr.m_hiItemGuid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changenth(line, 2, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changenth(line, 2, newguid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 std::string vals = getnth(line,3);
                 if(!changetokGuid(vals, OBJECT_FIELD_GUID+1, items, objmgr.m_hiItemGuid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changetoknth(vals, ITEM_FIELD_OWNER+1, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changenth(line, 3, vals.c_str()))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changetoknth(vals, ITEM_FIELD_OWNER+1, newguid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changenth(line, 3, vals.c_str()))
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 break;
             }
@@ -545,7 +542,7 @@
                 // guid,item_guid,
                 if(!changenth(line, 1, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changeGuid(line, 2, items, objmgr.m_hiItemGuid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changeGuid(line, 2, items, objmgr.m_hiItemGuid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 break;
             }
@@ -570,7 +567,7 @@
                 // item, entry, owner, ...
                 if(!changenth(line, 1, newpetid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changenth(line, 3, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changenth(line, 3, newguid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
 
                 break;
@@ -583,10 +580,10 @@
                 std::map<uint32, uint32> :: const_iterator petids_iter = petids.find(atoi(currpetid));
                 if(petids_iter == petids.end())             // couldn't find new inserted id
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
 
                 snprintf(newpetid, 20, "%d", petids_iter->second);
 
                 if(!changenth(line, 1, newpetid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
 
                 break;
@@ -596,7 +593,7 @@
                 // id,messageType,stationery,sender,receiver
                 if(!changeGuid(line, 1, mails, objmgr.m_mailid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changenth(line, 5, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changenth(line, 5, newguid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 break;
             }
@@ -605,9 +602,9 @@
                 // mail_id,item_guid,item_template,receiver
                 if(!changeGuid(line, 1, mails, objmgr.m_mailid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changeGuid(line, 2, items, objmgr.m_hiItemGuid))
-					ROLLBACK(DUMP_FILE_BROKEN);
-				if(!changenth(line, 4, newguid))
-					ROLLBACK(DUMP_FILE_BROKEN);
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changeGuid(line, 2, items, objmgr.m_hiItemGuid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
+                if(!changenth(line, 4, newguid))
+                    ROLLBACK(DUMP_FILE_BROKEN);
                 break;
             }
@@ -618,5 +615,5 @@
 
         if(!CharacterDatabase.Execute(line.c_str()))
-			ROLLBACK(DUMP_FILE_BROKEN);
+            ROLLBACK(DUMP_FILE_BROKEN);
     }
 
Index: /trunk/src/game/Chat.h
===================================================================
--- /trunk/src/game/Chat.h (revision 233)
+++ /trunk/src/game/Chat.h (revision 260)
@@ -176,4 +176,5 @@
         bool HandleModifyRepCommand(const char* args);
         bool HandleModifyArenaCommand(const char* args);
+        bool HandleModifyGenderCommand(const char* args);
 
         bool HandleNpcAddCommand(const char* args);
@@ -192,4 +193,5 @@
         bool HandleNpcSpawnDistCommand(const char* args);
         bool HandleNpcSpawnTimeCommand(const char* args);
+        bool HandleNpcTameCommand(const char* args);
         bool HandleNpcTextEmoteCommand(const char* args);
         bool HandleNpcUnFollowCommand(const char* args);
@@ -216,4 +218,5 @@
         bool HandleReloadCreatureQuestRelationsCommand(const char* args);
         bool HandleReloadCreatureQuestInvRelationsCommand(const char* args);
+        bool HandleReloadDbScriptStringCommand(const char* args);
         bool HandleReloadGameGraveyardZoneCommand(const char* args);
         bool HandleReloadGameObjectScriptsCommand(const char* args);
@@ -271,8 +274,13 @@
         bool HandleServerCorpsesCommand(const char* args);
         bool HandleServerExitCommand(const char* args);
+        bool HandleServerIdleRestartCommand(const char* args);
+        bool HandleServerIdleShutDownCommand(const char* args);
         bool HandleServerInfoCommand(const char* args);
         bool HandleServerMotdCommand(const char* args);
+        bool HandleServerRestartCommand(const char* args);
         bool HandleServerSetMotdCommand(const char* args);
         bool HandleServerSetLogLevelCommand(const char* args);
+        bool HandleServerShutDownCommand(const char* args);
+        bool HandleServerShutDownCancelCommand(const char* args);
 
         bool HandleAddHonorCommand(const char* args);
@@ -328,9 +336,4 @@
         bool HandleBanListCharacterCommand(const char* args);
         bool HandleBanListIPCommand(const char* args);
-        bool HandleIdleRestartCommand(const char* args);
-        bool HandleIdleShutDownCommand(const char* args);
-        bool HandleShutDownCommand(const char* args);
-        bool HandleRestartCommand(const char* args);
-        bool HandleSecurityCommand(const char* args);
         bool HandleGoXYCommand(const char* args);
         bool HandleGoXYZCommand(const char* args);
@@ -366,5 +369,4 @@
         bool HandleAddItemCommand(const char* args);
         bool HandleAddItemSetCommand(const char* args);
-        bool HandleModifyGenderCommand(const char* args);
         bool HandlePetTpCommand(const char* args);
         bool HandlePetUnlearnCommand(const char* args);
